# Gimp.escape_uline

    @accepts(unicode)
    @returns(unicode)
    def escape_uline(str):
        # Python wrapper for gimp_escape_uline()

This function returns a copy of str with all underline converted to two adjacent underlines. This comes in handy when needing to display strings with underlines (like filenames) in a place that would convert them to mnemonics.

Since 2.2

str

  Underline infested string (or None)

Returns